GH-LABEL-LIST(1)

NAME

gh-label-list - List labels in a repository

SYNOPSIS

gh label list [flags]

DESCRIPTION

Display labels in a GitHub repository.

When using the --search flag results are sorted by best match of the query. This behavior cannot be configured with the --order or --sort flags.

OPTIONS

-q, --jq <expression>
    Filter JSON output using a jq expression

--json <fields>
    Output JSON with the specified fields

-L, --limit <int> (default 30)
    Maximum number of labels to fetch

--order <string> (default "asc")
    Order of labels returned: {asc|desc}

-S, --search <string>
    Search label names and descriptions

--sort <string> (default "created")
    Sort fetched labels: {created|name}

-t, --template <string>
    Format JSON output using a Go template; see "gh help formatting"

-w, --web
    List labels in the web browser

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

EXAMPLE
    # sort labels by name
    $ gh label list --sort name

    # find labels with "bug" in the name or description
    $ gh label list --search bug

SEE ALSO

gh-label(1)